Table of Contents

Class: PanedWidget | ../bkchem/Pmw.py
--- | ---
Base Classes |
--- | ---
MegaWidget MegaArchetype
Methods |
--- | ---
__init__ add configurepane delete destroy insert | move pane panes setnaturalsize updatelayout
| __init__
    __init__ (
            self,
            parent=None,
            **kw,
            )
Exceptions |
--- | ---
ValueError, 'bad orient option ' + repr(self [ 'orient' ] ) + ': must be either \'horizontal\' or \'vertical\''
| add
    add (
            self,
            name,
            **kw,
            )
| configurepane
    configurepane (
            self,
            name,
            **kw,
            )
| delete
    delete ( self,  name )
| destroy
    destroy ( self )
| insert
    insert (
            self,
            name,
            before=0,
            **kw,
            )
| move
    move (
            self,
            name,
            newPos,
            newPosOffset=0,
            )
| pane
    pane ( self,  name )
| panes
    panes ( self )
| setnaturalsize
    setnaturalsize ( self )
| updatelayout
    updatelayout ( self )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1